Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> Raven's RavenNuke(tm) v2.00.00 - v2.02.00 Distro
Author Message
deadl0ck
Hangin' Around


Joined: Apr 09, 2006
Posts: 44

PostPosted: Tue Apr 11, 2006 3:02 am Reply with quote

Hi all,

I have just upgraded to RavenNuke 2.02 (along with NukeSentinel)

When I go into the Forums Admin Page I get :

Code:
phpBB : Critical Error


Error creating new session

DEBUG MODE

SQL Error : 1054 Unknown column 'session_admin' in 'field list'

INSERT INTO nuke_bbsessions (session_id, session_user_id, session_start, session_time, session_ip, session_page, session_logged_in, session_admin) VALUES ('cbcbc593f939c6bc1fb365c9380ff4d3', '1', '1144746108', '1144746108', 'c3d41d4b', '0', '0', '0')

Line : 220
File : sessions.php


Before I upgraded (I was 7.2 Nuke and the was hacked, so I've gone 7.2 -> 7.6, 7.6 -> Raven) My phpBB details were being reported as follows:
Code:
Powered by phpBB 2.0.10 � 2001-2003 phpBB Group

phpBB port v2.0.7 based on Tom Nitzschner's phpbb port 2.0.6 upgraded to phpBB 2.0.7 standalone.
Ported and tested by:
Nuke Cops

BBtoNuke 2.0.7 by Nuke Cops � 2004http://www.nukecops.com


From the above I assume I was on phpBB 2.0.10

So - Do I use the BBToNuke scripts to get up to the latest level ?

Also - what level do I want to go to get phpBB working with Raven and Sentinel ?

Or am I totally missing something ?

Thanks !!
 
View user's profile Send private message
hitwalker
Sells PC To Pay For Divorce


Joined:
Posts: 5661

PostPosted: Tue Apr 11, 2006 3:37 am Reply with quote

with upgraded what do you mean?
Just the files?
if so then yes,you missed the database upgrade,and i mean the phpbb part.
 
View user's profile Send private message
Guardian2003
Site Admin


Joined: Aug 28, 2003
Posts: 6792
Location: Ha Noi, Viet Nam

PostPosted: Tue Apr 11, 2006 3:52 am Reply with quote

Yes, you would have needed to run the BBtoNuke upgrades scripts from whatever base your forums were at, to 2.0.18 before copying your old data across.
You error message is entirely due to the fact that your nuke_bbsessions table is missing the session_admin field.

there are a few other threads in this forum relating to upgrading from a pre 7.6 version if it helps.
 
View user's profile Send private message Send e-mail
deadl0ck
PostPosted: Tue Apr 11, 2006 5:51 am Reply with quote

hitwalker, By upgraded I mean this:

I was on PHPNuke Vanilla 7.3 (with phpBB 2.0.10) and I want to keep all my DB Data

I uploaded PHPHNuke Vanilla 7.6 and ran the following upgrade scripts:
7.3 -> 7.4
7.4 -> 7.5
7.5 -> 7.6

I then upped the RavenNuke 7.6 2.02 files and ran NSN Groups and NukeSentinel Upgrades ONLY
 
Guardian2003
PostPosted: Tue Apr 11, 2006 6:08 am Reply with quote

Looks like hit and I posted at roughly the same time.
You are missing the forum upgrade scripts, the ones you already ran were for nuke.
See the other posts in this forum for links.
 
deadl0ck
PostPosted: Tue Apr 11, 2006 8:21 am Reply with quote

Guardian2003, I'm sorry but I'm confused.

You said
Quote:
Yes, you would have needed to run the BBtoNuke upgrades scripts from whatever base your forums were at, to 2.0.18 before copying your old data across


then you said
Quote:
You are missing the forum upgrade scripts
- so do you mean there are forum upgrade scripts for Raven or are you talking about the BBtoNuke scripts?

I assume you're suggesting 2.0.18 as the version I should upgrade to ?

Also - you said this is
Quote:
before copying your old data across
- My Old data is already in the tables...Is this a problem ?

Sorry for all the questions !!!
 
Guardian2003
PostPosted: Tue Apr 11, 2006 3:02 pm Reply with quote

I am sorry, I did not make that post as clear as perhaps I should have.
Yes, I was referring to the BBtoNuke upgrade scripts which are normally included in each of the forum upgrade or patches.

Ideally, you should run the nuke upgrades first to get to the 7.6 level and then run the BBtoNuke upgrades for the forums to get them from whatever version you were running to 2.0.18 which is what RavenNuke is using.

Frm what I can tell of your current problem, I think you are only missing the one field from that one table.
If you can post the *structure* for your current table nuke_bbsessions table I will compare it and post an update sql for you.
 
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> Raven's RavenNuke(tm) v2.00.00 - v2.02.00 Distro

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©